Skip to main content
POST
/
external_cards
/
transfers
/
{transfer_id}
/
reversals
Create External Card Transfer Reversal
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "amount": 123,
  "currency": "USD"
}
'
import requests

url = "https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals"

payload = {
"amount": 123,
"currency": "USD"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 123, currency: 'USD'})
};

fetch('https://api-sandbox.synctera.com/v0/external_cards/transfers/{transfer_id}/reversals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "account_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "amount": 123,
  "country_code": "US",
  "created_time": "2010-05-06T12:23:34.321Z",
  "currency": "USD",
  "customer_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "external_card_id": "7d943c51-e4ff-4e57-9558-08cab6b963c7",
  "id": "<string>",
  "last_modified_time": "2010-05-06T12:23:34.321Z",
  "merchant": {
    "address": {
      "address_line_1": "100 Main St.",
      "city": "New York",
      "country_code": "US",
      "postal_code": "49633",
      "state": "NY",
      "address_line_2": "Suite 99"
    },
    "name": "<string>",
    "email": "alice@example.com",
    "phone_number": "+14374570680"
  },
  "type": "PULL",
  "network_decline_details": "<string>",
  "reason": "<string>",
  "transaction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "three_ds_id": "40e2de9e-4375-4fa1-9393-92da972a9338"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Idempotency-Key
string

An idempotency key is an arbitrary unique value generated by client to detect subsequent retries of the same request. It is recommended that a UUID or a similar random identifier be used as an idempotency key. A different key must be used for each request, unless it is a retry.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Path Parameters

transfer_id
string<uuid>
required

The unique identifier of a transfer

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Details of the External Card Transfer Reversal to create

Reversal for a transfer with type PULL

amount
integer
required

Amount of the refund in cents (Amount can be up to the original amount)

currency
string
required

ISO 4217 Alpha-3 currency code

Required string length: 3
Example:

"USD"

Response

External Card Transfer Reversal created

Pull funds from an External Card

account_id
string<uuid>
required

The ID of the account to which the card will be linked

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

amount
integer
required

Amount of the transfer in cents

country_code
string
required

ISO-3166-1 Alpha-2 country code

Example:

"US"

created_time
string<date-time>
required
Example:

"2010-05-06T12:23:34.321Z"

currency
string
required

ISO 4217 Alpha-3 currency code

Required string length: 3
Example:

"USD"

customer_id
string<uuid>
required

The ID of the customer to whom the card belongs

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

external_card_id
string<uuid>
required

The ID of the external card from/to which the transfer was initiated/received

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

id
string
required

The ID of the transfer

last_modified_time
string<date-time>
required
Example:

"2010-05-06T12:23:34.321Z"

merchant
object
required

Merchant descriptor information that will be shown on statement and transaction details. If not provided, FinTech information will be used.

status
enum<string>
required

The status of the transfer

Available options:
CANCELED,
DECLINED,
PENDING,
SUCCEEDED,
UNKNOWN
type
enum<string>
required

Type of operation for transfer.

TypeDescription
PUSHPush fund to the external card from the account_id
PULLPull funds from the external card to the account_id
PULL_REVERSALReversed pull funds transfer from an external card
Available options:
PULL,
PULL_REVERSAL,
PUSH
Example:

"PULL"

network_decline_details
string

If available, a human readable string indicating why a transfer was declined downstream of our system

reason
string

The reason for the status, e.g. INSUFFICIENT_FUNDS, SUSPECTED_FRAUD, NETWORK_DECLINED

transaction_id
string<uuid>

The transaction ID

three_ds_id
string<uuid>

Unique identifier of an External Card Transfer 3-D Secure Authorization - conditionally required according to your program's 3DS policy

Example:

"40e2de9e-4375-4fa1-9393-92da972a9338"